#DALI command list
#Create by: Christoph Jung, Code Mercenaries GmbH


DALI_OFF					= 0x00
DALI_UP						= 0x01
DALI_DOWN					= 0x02
DALI_STEP_UP				= 0x03
DALI_STEP_DOWN				= 0x04
DALI_MAX					= 0x05
DALI_MIN					= 0x06
DALI_STEP_DOWN_OFF			= 0x07
DALI_ON_STEP_UP				= 0x08
DALI_SCENE					= 0x10	#0x10 - 0x1F
DALI_SCENE_MASK				= 0x1F
DALI_RESET					= 0x20
DALI_DTR_ACTUAL_LEVEL		= 0x21
DALI_DTR_MAX_LEVEL			= 0x2A
DALI_DTR_MIN_LEVEL			= 0x2B
DALI_DTR_SYS_FAIL_LEVEL		= 0x2C
DALI_DTR_POWER_ON_LEVEL		= 0x2D
DALI_DTR_FADE_TIME			= 0x2E
DALI_DTR_FADE_RATE			= 0x2F
DALI_ADD_SCENE				= 0x40	#0x40 - 0x4F
DALI_REMOVE_SCENE			= 0x50	#0x50 - 0x5F
DALI_ADD_GROUP				= 0x60	#0x60 - 0x6F
DALI_REMOVE_GROUP			= 0x70	#0x70 - 0x7F
DALI_DTR_AS_SHORT_ADDRESS 	= 0x80


#DALI_QUERY_STATUS:
#Bit 0: Zustand Betriebsgerät		: 0 = OK
#Bit 1: Lamp error					: 0 = OK
#Bit 2: Lampenleistung ein			: 0 = OFF
#Bit 3: Abfrage: Grenzwertfehler	: 0 = Letzter Wert zwischen MIN und MAX oder OFF
#Bit 4: Überblendvorgang			: 0 = Beendet; 1 = Überblendvorgang läuft
#Bit 5: Abfrage: RESET STATE?		: 0 = Nein
#Bit 6: Abfrage: Kurzadresse fehlt  : 0 = Nein
#Bit 7: Abfrage: POWER FAILURE?		: 0 = Nein; Reset oder Steuerbefehl wirde nach Einschalten enpfangen
DALI_QUERY_STATUS						= 0x90
DALI_QUERY_CONTROL_GEAR					= 0x91	#Antwort : Ja oder Nein
DALI_QUERY_LAMP_FAILURE					= 0x92	#Antwort : Ja oder Nein
DALI_QUERY_LAMP_POWER_ON				= 0x93	#Antwort : Ja oder Nein
DALI_QUERY_LIMIT_ERROR					= 0x94	#Antwort : Ja oder Nein
DALI_QUERY_RESET_STATE					= 0x95	#Antwort : Ja oder Nein
DALI_QUERY_MISSING_SHORT_ADDRESS		= 0x96	#Antwort : Ja oder Nein
DALI_QUERY_VERSION_NUMBER				= 0x97	#Antwort : Muss 1 Sein
DALI_QUERY_CONTENT_DTR					= 0x98	#Antwort : Inhalt des DTR (8 Bit)
DALI_QUERY_DEVICE_TYPE					= 0x99	#Antwort : Wert zwischen 0..255
DALI_QUERY_PHYSICAL_MIN_LEVEL			= 0x9A	#Antwort : 8 Bit Wert
DALI_QUERY_POWER_FAILURE				= 0x9B	#Antwort : Ja, wenn nach Einschalten kein RESET, DAPC, OFF, RECALL MAX LEVEL, RECAL MIN LEVEL, STEP DOWN AND OFF, ON AND STEP UP, TO TO SCENE
DALI_QUERY_CONTENT_DTR1					= 0x9C	#Antwort : Inhalt des DTR1 (8 Bit)
DALI_QUERY_CONTENT_DTR2					= 0x9D	#Antwort : Inhalt des DTR2 (8 Bit)					
DALI_QUERY_ACTUAL_LEVEL					= 0xA0	#Antwort : Aktuelle Ausgabewert (0...254)
DALI_QUERY_MAX_LEVEL					= 0xA1	#Antwort : Eingestellter MAX Wert
DALI_QUERY_MIN_LEVEL					= 0xA2	#Antwort : Eingestellter MIN Wert
DALI_QUERY_POWER_ON_LEVEL				= 0xA3	#Antwort : Eingestellter POWER ON Wert
DALI_QUERY_SYSTEM_FAILURE_LEVEL			= 0xA4	#Antwort : Eingestellter SYSTEM FAILURE Wert
DALI_QUERY_FADE_TIME_RATE				= 0xA5	#Antwort : Eingestellter FADE TIME(X) und FADE RATE(Y) werte (8 Bit: XXXX YYYYY)				
DALI_QUERY_SCENE_LEVEL					= 0xB0	#0xB0 - 0xBF Antwort : Lampenleistung der Scene (8 Bit)
DALI_QUERY_GROUPS_0_TO_7				= 0xC0	#Antwort : Bitmaske der Gruppen (8 Bit Wert; 1 = Gehört zur Gruppe)
DALI_QUERY_GROUPS_8_TO_15				= 0xC1	#Antwort : Bitmaske der Gruppen (8 Bit Wert; 1 = Gehört zur Gruppe)
DALI_QUERY_RANDOM_ADDRESS_H				= 0xC2	#Antwort : Die oberen 8 Bit der 24 Bit Zufallsadresse
DALI_QUERY_RANDOM_ADDRESS_M				= 0xC3	#Antwort : Die mittleren 8 Bit der 24 Bit Zufallsadresse
DALI_QUERY_RANDOM_ADDRESS_L				= 0xC3	#Antwort : Die unteren 8 Bit der 24 Bit Zufallsadresse
DALI_READ_MEMORY_LOCATION				= 0xC5
DALI_QUERY_EXTENDED_VERSION_NUMBER		= 0xFF
DALI_EXT_TERMINATE						= 0xA1
DALI_EXT_DATA_TRANSFER_REGISTER_DTR		= 0xA3
DALI_EXT_DATA_TRANSFER_REGISTER_DTR1	= 0xA3
DALI_EXT_DATA_TRANSFER_REGISTER_DTR2	= 0xA4
DALI_EXT_INITIAISE						= 0xA5
DALI_EXT_RANDOMISE						= 0xA7
DALI_EXT_COMPARE						= 0xA9
DALI_EXT_WITHDRAW						= 0xAB
DALI_EXT_SEARCHADDRH					= 0xB1
DALI_EXT_SEARCHADDRM					= 0xB3
DALI_EXT_SEARCHADDRL					= 0xB5
DALI_EXT_PROGRAMM_SHORT_ADDRESS			= 0xB7
DALI_EXT_VERIFY_SHORT_ADDRESS			= 0xB9
DALI_EXT_QUERY_SHORT_ADDRESS			= 0xBB
DALI_EXT_PHYSICAL_SELECTION				= 0xBD
DALI_EXT_ENABLE_DEVICE_TYPE_X			= 0xC1
DALI_EXT_DATA_TRANSFER_REGISTER_1		= 0xC3
DALI_EXT_DATA_TRANSFER_REGISTER_2		= 0xC5
DALI_EXT_WRITE_MEMORY_LOCATION			= 0xC7

#Min, Max und Mask ratings for DTR
DALI_VALUE_MIN				= 0x00
DALI_VALUE_MAX				= 0xFE
DALI_VALUE_MASK				= 0xFF

DALI_VALUE_FADETIME_MAX		= 0x0F
DALI_VALUE_FADERATE_MAX		= 0x0F

DALI_INITIALISE_BROADCAST	= 0x00
DALI_INITIALISE_DEVICE_MASK	= 0x7F
DALI_INITIALISE_NO_ADDRESS	= 0xFF