//default I2C address
#define LW14_I2C_ADR         0x23

//LW14 register
#define LW14_REG_STATUS 	0x00
#define LW14_REG_CMD    	0x01
#define LW14_REG_CONFIG 	0x02
#define LW14_REG_SIGNATURE 	0xF0
#define LW14_REG_ADDR   	0xFE

//Command types mode
#define DALI_MODE_DACP      0x00    //For dimming values 0...254
#define DALI_MODE_CMD       0x01    //For DALI commands (min, mix, store)

//DALI defaults
#define DALI_MAX_ADDRESS	64
#define DALI_MAX_GROUPS		16
#define DALI_MAX_SCENES		16

#define DALI_BROADCAST		0xFE


//Basic DALI command codes
#define DALI_OFF                  0x00
#define DALI_UP                   0x01
#define DALI_DOWN                 0x02
#define DALI_STEP_UP              0x03
#define DALI_STEP_DOWN            0x04
#define DALI_MAX_LEVEL            0x05
#define DALI_MIN_LEVEL            0x06
#define DALI_STEP_DOWN_AND_OFF    0x07
#define DALI_ON_AND_STEP_UP       0x08
#define DALI_ENABLE_DAPC_SEQUENCE 0x09
#define DALI_GO_TO_SCENE          0x10 //possible values from 0x10 to 0x1F
//More DALI commands found in DIN EN