import defs
import sys
import time

from time import sleep
from time import time
from lw14_class import lw14


if __name__ == "__main__":

	#get the arguments from commandline
	#len = 3, because filename is [0], dali-address is [1], dali-data is[2]
	if len(sys.argv) == 3:
		dali_device = int(sys.argv[1])
		dali_value = int(sys.argv[2])

	else:
		print "NO ARGUMENTS FOUND: Please run as follow 'python <file>.py <dali_adr> <value>'"
		print "<dali_adr> = 0...63 single device, 255 for broadcast"
		print "<value> = 0...254 "
		sys.exit()	#exit 

	'''
		Demo
		1st. set fadetime (once), use another script for that (mus be done only once)
		2nd. use DAPC command to go from X -> Y
		3rd. read query until fade bit is 0
		4th. do you next thing
	'''

	dalibus = lw14()								#Create a new lw14 class
	dalibus.SetI2cBus(defs.LW14_I2C_ADDRESS_1)		#Set I2C address from LW14 

	#Send DAPC value
	dalibus.SetDaliAddress(dali_device, defs.LW14_ADR_SINGLE, defs.LW14_MODE_DACP)
	dalibus.SendData(dali_value)
	dalibus.WaitForReady()

	#Set the mode to CMD for Querys
	dalibus.SetDaliAddress(dali_device, defs.LW14_ADR_SINGLE, defs.LW14_MODE_CMD)

	#check time
	t0 = time()

	while(1):
		sleep(0.10) #lets slow it down a liitle bit

		res = dalibus.QueryStatus()

		#debug output
		print "Status %02x" % res

		#if fade-in-progress bit is 0 than finished
		#if res = -1 error on bus, but "ignore and go on"
		if (res & 0x10) == 0x00:
			print "fading ready"
			break

	#check time
	t1 = time()
	print 'function takes %f s' %(t1-t0)
	